Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Cost Centre Productivity Report

Description

Coding Cost Centre Productivity Report

History

#1 - 08/08/2023 12:16 PM - Junaid M

- Assignee changed from travvise Admin to Karthika V Anand

#2 - 08/08/2023 12:17 PM - Karthika V Anand
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 09/18/2023 03:46 PM - Junaid M

SELECT tr.pk_transaction_id,
doc.vhr_main_document_no,

CASE WHEN tr.dbl_base_cur_debit > 0 THEN tr.dbl_base_cur_debit ELSE -1l*tr.dbl_base_cur_credit END AS

mount,
cc.vhr_cost_centre_code,
cc.vhr_cost_centre_name,
cc.vhr_cost_centre_group,
tr.fk_cost_centre_id,
tr.fk_actual_ledger_id,
ac.sin_ac_category,
ac.vhr_account_code,
ac.vhr_account_name,

CAST (tr.jsn_related_data—->>'binServicelId' AS BIGINT)
CAST (tr.jsn_related_data->>'strServiceCode' AS VARCHAR)
CAST (tr.Jjsn_related_data->>'strServiceName' AS VARCHAR)

CAST (tr.Jjsn_related_data->>'binSupplierId' AS BIGINT) AS bin_supplier_id,
CAST (tr.Jjsn_related_data->>'strSupplierCode' AS VARCHAR)
CAST (tr.jsn_related_data->>'strSupplierName' AS VARCHAR)

CAST (tr.jsn_related_data->>'binCustomerId' AS BIGINT) AS bin_customer_id,
CAST (tr.jsn_related_data—->>'strCustomerCode' AS VARCHAR)
CAST (tr.jsn_related_data->>'strCustomerName' AS VARCHAR)

FROM transaction.tbl_transaction AS tr
LEFT JOIN document.tbl_documents doc

ON doc.pk_documents_id = tr.fk_documents_id
LEFT JOIN accounts.tbl_account AS ac

ON ac.pk_account_id = tr.fk_ledger_id
LEFT JOIN accounts.tbl_cost_centre AS cc

ON cc.pk_cost_centre_id = tr.fk_cost_centre_id
WHERE tr.sin_posting_status = 1

AND tr.sin_transaction_status = 1

AND tr.sin_document_status = 1

AND tr.fk_cost_centre_id IS NOT NULL

AND ac.sin_ac_category IN (3, 4)

AND tr.fk_cost_centre_id = ANY('{1l, 2}'::BIGINT[])
AS bin_service_id,

AS vhr_service_code,
AS vhr_service_name,

AS vhr_supplier_code,
AS vhr_supplier_name,

AS vhr_customer_code,
AS vhr_customer_name
AND tr.dat_transaction BETWEEN '2023-01-01' AND '2023-12-31'
—-Where Conditions
ORDER BY tr.fk_cost_centre_id

#4 - 09/23/2023 05:35 PM - Karthika V Anand
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#5 - 10/06/2023 03:38 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.CORRECT DT,CR LABELS IN LIST

#6 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#7 - 10/09/2023 04:32 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

issues fixed
1.CORRECT DT,CR LABELS IN LIST
2. {} symbol while searching

#8 - 12/06/2023 11:11 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGE IN INCOME,EXPENSE DR,CR LABEL AUTOMATICALLY WITHOUT ADDING COST CENTRES IN MODULES

2.DR,CR AMOUNT VALUE IMBALANCE IF ADDED ANY SAME ACCOUNT IN A DOCUMENT WITH A DIFFERENT DR,CR WITH SAME COST
CENTRE

3.MISSING SELECT ALL OPTION IN COST CENTRE FILTER SELECTION

#9 - 12/16/2023 08:32 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CHANGE IN INCOME,EXPENSE DR,CR LABEL AUTOMATICALLY WITHOUT ADDING COST CENTRES IN MODULES

2.DR,CR AMOUNT VALUE IMBALANCE IF ADDED ANY SAME ACCOUNT IN A DOCUMENT WITH A DIFFERENT DR,CR WITH SAME COST
CENTRE

3.MISSING SELECT ALL OPTION IN COST CENTRE FILTER SELECTION

#10 - 12/20/2023 02:30 PM - unnikannan S
ISSUE FOUNDED

1.SHOW ADDED INCOME AND EXPENSE ACCOUNTS IN DISCOUNT,EXTRA COLLECTION FIELDS OF RECEIPT AND PAYMENT IF WE SAVE
DOC WITH COST CENTRES
2.SHOW LABEL AS NET LOSS AND PROFIT AUTOMATICALLY AS ON THE BASIS OF NET VALUE

#11 - 12/27/2023 10:13 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED

1.SHOW SEPERATELY THE INCOME/EXPENCE OF A LEDGER FIXED

2.ADD VALIDATION FOR COST CENTER FILTER FIELD AND FREEZE THE FIELD AFTER SHOWING DATA FIXED
3.CORRECT THE ORDER OF COST CENTRES AS PER SHOWN IN Ul

4.SHOWING NET LOSS AS NET PROFIT IN PRINT FIXED

5.DUPLICATION OF LEDGER CODES IN PRINT FIXED

6.FALSE AMOUNT WHILE SEARCH WITH BASE CURRENCYS IN CURRENCY FILTER FIELD FIXED

#12 - 01/24/2024 12:21 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE fixed

1.SHOW SEPERATELY THE INCOME/EXPENCE OF A LEDGER FIXED

2.ADD VALIDATION FOR COST CENTER FILTER FIELD AND FREEZE THE FIELD AFTER SHOWING DATA FIXED
3.CORRECT THE ORDER OF COST CENTRES AS PER SHOWN IN Ul NEED NEW CODE WILL BE FIXED
4.SHOWING NET LOSS AS NET PROFIT IN PRINT FIXED

5.DUPLICATION OF LEDGER CODES IN PRINT FIXED

6.FALSE AMOUNT WHILE SEARCH WITH BASE CURRENCYS IN CURRENCY FILTER FIELD FIXED

#13 - 07/02/2024 10:03 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Bugs On Net Amount Profit/Loss In Ul

#14 - 07/02/2024 10:20 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Bugs On Net Amount Profit/Loss In Ul

#15 - 07/02/2024 05:25 PM - unnikannan S
TESTING DONE

#16 - 10/03/2024 02:33 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Add Validation For Cost Centre Multy Selection
2.Maintain The Multy Selection Of Cost Centre As Blank In Case Of No Data

#17 - 10/03/2024 02:44 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Add Validation For Cost Centre Multy Selection
2.Maintain The Multy Selection Of Cost Centre As Blank In Case Of No Data

#18 - 10/29/2024 04:50 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90
#19 - 03/11/2025 03:46 PM - Arathy PS
- Assignee changed from Vivekp V to Nawal Sidique

#20 - 03/11/2025 03:47 PM - Arathy PS
- File clipboard-202503111547-mjim3.png added
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND - FIXED

1. In the print with grouping

Cost Centre Productivity Report

Period (Document) ¢ 11/03/2025 - 11/03/2025 Branch Al
Currency : Basel(QAR) Cost Centre : All
Income Account/Expense Account Income Expense

CostCentre: Cost Centre A

Customer : undefined:: undefined

ILO0&:: ALPO Profit

Total In QAR

Net Profit

250.00

250.00

0.00

0.00

250.00

#21 - 03/12/2025 04:53 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 03/13/2025 01:19 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND - FIXED

Cost centre gets missing from its field
clipboard-202503131319-vlrin.png

#23 - 03/14/2025 08:42 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/03/2025

Page: 1/1

Printed By: admin
#24 - 03/18/2025 01:21 PM - Arathy PS

- File clipboard-202503181320-cnuvu.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. not showing while grouping using customer - FIXED
2. While grouping using customer amount showing includes that does not belong to the customer - FIXED

Cost Centre Productivity Report

Grouping | Cost Centre ~ | Customer T a 2
Cost Center: Cost Centre D
~  Customer: CUS003: AL HASSAN ANMAN
IL002:: Service Fee 300.00 000
= Customer:
ILO11: Income Account 100.00 500000
1L008:: ALPO Profit 2000.00 000
Total 2400.00 5000.00

Net Loss. -2600.00

service fee only 200 belongs to the customer, 100 doesn't belong to that customer.

#25 - 03/19/2025 04:53 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#26 - 03/26/2025 05:59 PM - Arathy PS

- File clipboard-202503261615-ipwon.png added

- File clipboard-202503261642-paajd.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from unnikannan S to Arathy PS

ISSUE FOUND

1. Not showing customer name in grouping when the customer is used in receipt. - FIXED
2. Not showing multiple accounts under same cost center. - FIXED
I(§¥¥!§g Cost Centre Productivity Report

Period (Document)”  26/02/2025 Branch™  granch A ain - Curency” | Base1(QAR) v
CostCentre™  rost Centre
Grouping | Cost Centre ~ | NoGrouping ¥ Y a 2
income/ExpenseAccount t Income Expense
~  Cost Center: Cost Centre
Lo02:: 100.00 400,00
~  Cost Center: Cost Centre A
11009: Interest Received 15000 000
Total 250.00 400.00

Net Loss -150.00

[is is from an expense account called audit fee'

3. After changing to date to future date and then change to current date a date validation is being asked. FIXED
Cost Centre Productivity Report

Enter A Valid Period.

Period (Document)” | 26/03/2025 9 O | 2603005 QB Branch® | BranchA % Main %
Cost Centre* Cost Centre % 2more X -
Grouping  Cost Centre ¥ NoGrouping ¥
income/ExpenseAccount
No data

4. Add translation to missing ones. - FIXED

#27 - 03/28/2025 08:47 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Y a B B &

Income Expense

Files
